---
name: Bug Report
about: Create a report to help us improve
labels: bug
---

<!--
Thanks for reporting a bug report to CLIMA, the Climate Machine!

Please fill in the information below.
-->

# Description

A clear and concise description of what the bug is

## Steps to reproduce

Steps to reproduce the behavior:

1. Output of `git log -1`. In the case of bugs from code that has significantly diverged from master, a separate branch can be created and linked.
2. Exact sequence of commands run (REPL, terminal, or script) to reproduce this issue issue. 
3. Expected runtime for issue/bug to reveal itself (particularly useful in the case of problems with physics / set-ups that require longer time to solution)

## Expected behavior

A clear and concise description of what you expected to happen.

## Screenshots

If applicable, add screenshots to help explain your problem, otherwise please remove this section. This can be particularly useful for physical simulations.

## Environment and error messages

<!--- Please complete the following information --->

 - Backtrace of error message
 - Include output of `julia> versioninfo()`

## Additional context

Add any other context about the problem here.

<!--- Please leave the following section --->

# For CLIMA developers

- [ ] The bug can be reproduced
- [ ] Labels have been added and developers assigned
- [ ] The bug can be fixed (if not, please explain why not in a comment below)
- [ ] There is a timeline to fix the bug
- [ ] The bug has been fixed (Please link the PR)
