# Acceptable Unicode characters

Using Unicode seems to be irresistible. However, we must ensure avoiding
problematic Unicode usage.

Below is a list of acceptable Unicode characters.  **All characters not
listed below are forbidden**. We forbid the use of accents (dot, hat, vec,
etc.), because this can lead to visually ambiguous characters.

## Acceptable lower-case Greek letters

```
α # (alpha)
β # (beta)
δ # (delta)
ϵ # (epsilon)
ε # (varepsilon)
γ # (gamma)
κ # (kappa)
λ # (lambda)
μ # (mu)
ν # (nu)
η # (eta)
ω # (omega)
π # (pi)
ρ # (rho)
σ # (sigma)
θ # (theta)
χ # (chi)
ξ # (xi)
ζ # (zeta)
ϕ # (psi)
φ # (varphi)
```

## Acceptable upper-case Greek letters

```
Δ # (Delta)
∑ # (Sigma)
Γ # (Gamma)
Ω # (Omega)
Ψ # (Psi)
<!-- Φ # (Phi) removed in favor of lowercase psi -->
```

## Acceptable mathematical symbols

```
∫ # (int)
∬ # (iint)
∭ # (iiint)
∞ # (infinity)
≈ # (approx)
∂ # (partial)
∇ # (nabla/del), note that nabla and del are indistinguishable
∀ # (forall)
≥ # (greater than equal to)
≤ # (less than equal to)
<!-- ∈ # (in) removed in favor of epsilon -->
```
